/*
 * Copyright 2011-2019, European Organisation for the Exploitation of Meteorological Satellites (EUMETSAT)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _TYPES_H_
#define _TYPES_H_

#ifdef WIN32
#pragma message("WINDOWS BUILD")
#include "MSGTime.h"
typedef Util::CMSGTime SYSTIME;
typedef Util::CMSGTimeSpan SYSTIMESPAN;
#else
#include "UTCTime.h"
typedef  Util::CUTCTime SYSTIME;
typedef  Util::CTimeSpan SYSTIMESPAN;
#define __int64 long long
#define __int32 int
#define __int16 short
#define __int8 char
#endif

#endif
